PageRenderTime 28ms CodeModel.GetById 24ms RepoModel.GetById 0ms app.codeStats 0ms

/js/lib/Socket.IO-node/support/expresso/deps/jscoverage/tests/store-unreadable-json.sh

http://github.com/onedayitwillmake/RealtimeMultiplayerNodeJs
Shell | 66 lines | 36 code | 12 blank | 18 comment | 1 complexity | 4043411ff74e88cf464c9eca1929e42a MD5 | raw file
Possible License(s): GPL-2.0, LGPL-2.1, MPL-2.0-no-copyleft-exception, BSD-3-Clause
  1. #!/bin/sh
  2. # store-unreadable-json.sh - test store when jscoverage.json is not readable
  3. # Copyright (C) 2008 siliconforks.com
  4. #
  5. # This program is free software; you can redistribute it and/or modify
  6. # it under the terms of the GNU General Public License as published by
  7. # the Free Software Foundation; either version 2 of the License, or
  8. # (at your option) any later version.
  9. #
  10. # This program is distributed in the hope that it will be useful,
  11. # but WITHOUT ANY WARRANTY; without even the implied warranty of
  12. # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  13. # GNU General Public License for more details.
  14. #
  15. # You should have received a copy of the GNU General Public License along
  16. # with this program; if not, write to the Free Software Foundation, Inc.,
  17. # 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  18. set -e
  19. . common.sh
  20. # skip on windows
  21. uname=`uname`
  22. case "$uname" in
  23. CYGWIN* | MINGW*)
  24. exit 77
  25. ;;
  26. esac
  27. shutdown() {
  28. wget -q -O- --post-data= "http://127.0.0.1:${server_port}/jscoverage-shutdown" > /dev/null
  29. wait $server_pid
  30. }
  31. cleanup() {
  32. shutdown
  33. }
  34. trap 'cleanup' 0 1 2 3 15
  35. if [ -z "$VALGRIND" ]
  36. then
  37. delay=0.2
  38. else
  39. delay=2
  40. fi
  41. rm -fr DIR
  42. $VALGRIND jscoverage-server --no-highlight --document-root=recursive --report-dir=DIR > OUT 2> ERR &
  43. server_pid=$!
  44. server_port=8080
  45. sleep $delay
  46. cat store.json | sed "s/@PREFIX@/\\//g" > TMP
  47. wget --post-file=TMP -q -O- http://127.0.0.1:8080/jscoverage-store > /dev/null
  48. cat store.expected.json | sed "s/@PREFIX@/\\//g" > TMP
  49. json_cmp TMP DIR/jscoverage.json
  50. chmod -r DIR/jscoverage.json
  51. cat store.json | sed "s/@PREFIX@/\\//g" > TMP
  52. echo 500 > EXPECTED
  53. ! curl -d @TMP -f -w '%{http_code}\n' http://127.0.0.1:8080/jscoverage-store 2> /dev/null > ACTUAL
  54. diff EXPECTED ACTUAL